curl --request GET \
--url 'https://api.stateset.com/api/v1/ar/credit-memos' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"credit_memos": [
{
"amount": "49.00",
"applied_amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"credit_memo_number": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending",
"unapplied_amount": "49.00"
}
],
"total": 102
}
Ar list credit memos
Ar list credit memos
GET
/
api
/
v1
/
ar
/
credit-memos
curl --request GET \
--url 'https://api.stateset.com/api/v1/ar/credit-memos' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"credit_memos": [
{
"amount": "49.00",
"applied_amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"credit_memo_number": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending",
"unapplied_amount": "49.00"
}
],
"total": 102
}
Query parameters
string
string
One of
open, partially_applied, fully_applied, voided.integer (int32)
integer (int32)
Response
ArCreditMemoListResponse
ArCreditMemoResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/ar/credit-memos' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"credit_memos": [
{
"amount": "49.00",
"applied_amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"credit_memo_number": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending",
"unapplied_amount": "49.00"
}
],
"total": 102
}
Last modified on August 31, 2026